{% extends "simulator/header.html" %}

{% block content %}
<nav aria-label="breadcrumb">
  <ol class="breadcrumb">
    <li class="breadcrumb-item"><a href="/">Select an area</a></li>
    <li class="breadcrumb-item"><a href="javascript:history.back(2)">Current Status</a></li>
    <li class="breadcrumb-item"><a href="javascript:history.back()">Planting Settings</a></li>
    <li class="breadcrumb-item active" aria-current="page">Select Func Groups</li>
  </ol>
</nav>

<div class="container">
	<div class="row">
		<div class="col-sm-3">
			<h4>Functional groups you should plant</h4>
			<form action="{% url 'simulator:select_species' %}" method="get">
				<div>
					{% for group in func_groups %}
						<label>
							<input type="checkbox" name="{{group}}"> Functional Group {{group}}
						</label>
						<br>
					{% endfor %}					
				</div>
				<button class="btn btn-success" type="submit">Select Groups</button>
			</form>
		</div>
		<div class="col-sm-9 pre-scrollable" style="border-left: 1px #ccc solid; min-height: 400px">
			<h4>Recommendation based on the groups you selected</h4>
			<table class="table table-sm">
			  <thead>
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">Species</th>
			      <th scope="col">Functional Group</th>
			      <th scope="col">Genus</th>
			      <th scope="col">Family</th>
			      <th scope="col">Species Diversity Improv.</th>
			      <th scope="col">Species Richness Improv.</th>
			      <th scope="col">Group Diversity Improv.</th>
			      <th scope="col">Group Richness Improv.</th>
			      <th scope="col">Carbon Storage Improv.</th>
			      <th scope="col">Value</th>
			    </tr>
			  </thead>
			  <tbody>

			  	{% for plant in ranking %}
				    <tr>
				      <th scope="row">{{ forloop.counter }}</th>
				      <td>{{plant.1}}</td>
				      <td>{{plant.2}}</td>
				      <td>{{plant.3}}</td>
				      <td>{{plant.4}}</td>
				      <td>{{plant.5|floatformat:2}}%</td>
				      <td>{{plant.6|floatformat:2}}%</td>
				      <td>{{plant.7|floatformat:2}}%</td>
				      <td>{{plant.8|floatformat:2}}%</td>
				      <td>{{plant.9|floatformat:2}}%</td>
				      <td>{{plant.10|floatformat:2}}%</td>
				    </tr>
				{% endfor %}
			  </tbody>
			</table>


		</div>
	</div>
</div>





{% endblock %}
